Data Fields
acc_breathing_handle_t Struct Reference

Breathing application context handle. More...

## Data Fields
acc_sensor_t * | sensor
acc_cal_result_t | sensor_cal_result
acc_detector_presence_handle_t * | presence_handle
void * | buffer
uint32_t | buffer_size
float | start_m
float | step_length_m
int32_t | start_point
uint16_t | num_points_to_analyze_half_width
uint16_t | num_points_to_analyze
uint16_t | end_point
float | frame_rate
float | lowest_freq
float | highest_freq
uint16_t | use_presence_processor
uint16_t | distance_determination_count
uint16_t | time_series_length_s
uint16_t | time_series_length
uint16_t | padded_time_series_length_shift
uint16_t | padded_time_series_length
uint16_t | num_points
uint16_t | sweeps_per_frame
float | intra_detection_threshold
acc_breathing_app_state_t | app_state
acc_breathing_app_state_t | prev_app_state
float | presence_sf
float | breathing_sf
float | b_static [(3U)]
float | a_static [(2U)]
float | b_angle [(5U)]
float | a_angle [(4U)]
float complex * | mean_sweep
float complex * | sparse_iq_buffer
float complex * | filt_sparse_iq_buffer
float complex * | filt_sparse_iq
float * | angle
float * | prev_angle
float * | lp_filt_ampl
float * | unwrapped_angle
float * | angle_buffer
float * | filt_angle_buffer
float * | breathing_motion_buffer
float * | hamming_window
float * | windowed_breathing_motion_buffer
float complex * | rfft_output
uint16_t | rfft_output_length
float * | weighted_psd
float | freq_delta
uint16_t | distance_determination_counter
bool | presence_init
float | presence_distance
bool | base_presence_dist
float | base_presence_distance
float | presence_distance_threshold
bool | first
uint16_t | init_count
uint16_t | count
bool | initialized
uint16_t | count_limit

## Detailed Description

Breathing application context handle.

Definition at line 93 of file ref_app_breathing.c.

## Field Documentation

## ◆ a_angle

float acc_breathing_handle_t::a_angle[(4U)]

Definition at line 129 of file ref_app_breathing.c.

## ◆ a_static

float acc_breathing_handle_t::a_static[(2U)]

Definition at line 127 of file ref_app_breathing.c.

## ◆ angle

float* acc_breathing_handle_t::angle

Definition at line 135 of file ref_app_breathing.c.

## ◆ angle_buffer

float* acc_breathing_handle_t::angle_buffer

Definition at line 139 of file ref_app_breathing.c.

## ◆ app_state

acc_breathing_app_state_t acc_breathing_handle_t::app_state

Definition at line 120 of file ref_app_breathing.c.

## ◆ b_angle

float acc_breathing_handle_t::b_angle[(5U)]

Definition at line 128 of file ref_app_breathing.c.

## ◆ b_static

float acc_breathing_handle_t::b_static[(3U)]

Definition at line 126 of file ref_app_breathing.c.

## ◆ base_presence_dist

bool acc_breathing_handle_t::base_presence_dist

Definition at line 152 of file ref_app_breathing.c.

## ◆ base_presence_distance

float acc_breathing_handle_t::base_presence_distance

Definition at line 153 of file ref_app_breathing.c.

## ◆ breathing_motion_buffer

float* acc_breathing_handle_t::breathing_motion_buffer

Definition at line 141 of file ref_app_breathing.c.

## ◆ breathing_sf

float acc_breathing_handle_t::breathing_sf

Definition at line 124 of file ref_app_breathing.c.

## ◆ buffer

void* acc_breathing_handle_t::buffer

Definition at line 98 of file ref_app_breathing.c.

## ◆ buffer_size

uint32_t acc_breathing_handle_t::buffer_size

Definition at line 99 of file ref_app_breathing.c.

## ◆ count

uint16_t acc_breathing_handle_t::count

Definition at line 157 of file ref_app_breathing.c.

## ◆ count_limit

uint16_t acc_breathing_handle_t::count_limit

Definition at line 159 of file ref_app_breathing.c.

## ◆ distance_determination_count

uint16_t acc_breathing_handle_t::distance_determination_count

Definition at line 111 of file ref_app_breathing.c.

## ◆ distance_determination_counter

uint16_t acc_breathing_handle_t::distance_determination_counter

Definition at line 149 of file ref_app_breathing.c.

## ◆ end_point

uint16_t acc_breathing_handle_t::end_point

Definition at line 106 of file ref_app_breathing.c.

## ◆ filt_angle_buffer

float* acc_breathing_handle_t::filt_angle_buffer

Definition at line 140 of file ref_app_breathing.c.

## ◆ filt_sparse_iq

float complex* acc_breathing_handle_t::filt_sparse_iq

Definition at line 134 of file ref_app_breathing.c.

## ◆ filt_sparse_iq_buffer

float complex* acc_breathing_handle_t::filt_sparse_iq_buffer

Definition at line 133 of file ref_app_breathing.c.

## ◆ first

bool acc_breathing_handle_t::first

Definition at line 155 of file ref_app_breathing.c.

## ◆ frame_rate

float acc_breathing_handle_t::frame_rate

Definition at line 107 of file ref_app_breathing.c.

## ◆ freq_delta

float acc_breathing_handle_t::freq_delta

Definition at line 147 of file ref_app_breathing.c.

## ◆ hamming_window

float* acc_breathing_handle_t::hamming_window

Definition at line 142 of file ref_app_breathing.c.

## ◆ highest_freq

float acc_breathing_handle_t::highest_freq

Definition at line 109 of file ref_app_breathing.c.

## ◆ init_count

uint16_t acc_breathing_handle_t::init_count

Definition at line 156 of file ref_app_breathing.c.

## ◆ initialized

bool acc_breathing_handle_t::initialized

Definition at line 158 of file ref_app_breathing.c.

## ◆ intra_detection_threshold

float acc_breathing_handle_t::intra_detection_threshold

Definition at line 118 of file ref_app_breathing.c.

## ◆ lowest_freq

float acc_breathing_handle_t::lowest_freq

Definition at line 108 of file ref_app_breathing.c.

## ◆ lp_filt_ampl

float* acc_breathing_handle_t::lp_filt_ampl

Definition at line 137 of file ref_app_breathing.c.

## ◆ mean_sweep

float complex* acc_breathing_handle_t::mean_sweep

Definition at line 131 of file ref_app_breathing.c.

## ◆ num_points

uint16_t acc_breathing_handle_t::num_points

Definition at line 116 of file ref_app_breathing.c.

## ◆ num_points_to_analyze

uint16_t acc_breathing_handle_t::num_points_to_analyze

Definition at line 105 of file ref_app_breathing.c.

## ◆ num_points_to_analyze_half_width

uint16_t acc_breathing_handle_t::num_points_to_analyze_half_width

Definition at line 104 of file ref_app_breathing.c.

## ◆ padded_time_series_length

uint16_t acc_breathing_handle_t::padded_time_series_length

Definition at line 115 of file ref_app_breathing.c.

## ◆ padded_time_series_length_shift

uint16_t acc_breathing_handle_t::padded_time_series_length_shift

Definition at line 114 of file ref_app_breathing.c.

## ◆ presence_distance

float acc_breathing_handle_t::presence_distance

Definition at line 151 of file ref_app_breathing.c.

## ◆ presence_distance_threshold

float acc_breathing_handle_t::presence_distance_threshold

Definition at line 154 of file ref_app_breathing.c.

## ◆ presence_handle

acc_detector_presence_handle_t* acc_breathing_handle_t::presence_handle

Definition at line 97 of file ref_app_breathing.c.

## ◆ presence_init

bool acc_breathing_handle_t::presence_init

Definition at line 150 of file ref_app_breathing.c.

## ◆ presence_sf

float acc_breathing_handle_t::presence_sf

Definition at line 123 of file ref_app_breathing.c.

## ◆ prev_angle

float* acc_breathing_handle_t::prev_angle

Definition at line 136 of file ref_app_breathing.c.

## ◆ prev_app_state

acc_breathing_app_state_t acc_breathing_handle_t::prev_app_state

Definition at line 121 of file ref_app_breathing.c.

## ◆ rfft_output

float complex* acc_breathing_handle_t::rfft_output

Definition at line 144 of file ref_app_breathing.c.

## ◆ rfft_output_length

uint16_t acc_breathing_handle_t::rfft_output_length

Definition at line 145 of file ref_app_breathing.c.

## ◆ sensor

acc_sensor_t* acc_breathing_handle_t::sensor

Definition at line 95 of file ref_app_breathing.c.

## ◆ sensor_cal_result

acc_cal_result_t acc_breathing_handle_t::sensor_cal_result

Definition at line 96 of file ref_app_breathing.c.

## ◆ sparse_iq_buffer

float complex* acc_breathing_handle_t::sparse_iq_buffer

Definition at line 132 of file ref_app_breathing.c.

## ◆ start_m

float acc_breathing_handle_t::start_m

Definition at line 101 of file ref_app_breathing.c.

## ◆ start_point

int32_t acc_breathing_handle_t::start_point

Definition at line 103 of file ref_app_breathing.c.

## ◆ step_length_m

float acc_breathing_handle_t::step_length_m

Definition at line 102 of file ref_app_breathing.c.

## ◆ sweeps_per_frame

uint16_t acc_breathing_handle_t::sweeps_per_frame

Definition at line 117 of file ref_app_breathing.c.

## ◆ time_series_length

uint16_t acc_breathing_handle_t::time_series_length

Definition at line 113 of file ref_app_breathing.c.

## ◆ time_series_length_s

uint16_t acc_breathing_handle_t::time_series_length_s

Definition at line 112 of file ref_app_breathing.c.

## ◆ unwrapped_angle

float* acc_breathing_handle_t::unwrapped_angle

Definition at line 138 of file ref_app_breathing.c.

## ◆ use_presence_processor

uint16_t acc_breathing_handle_t::use_presence_processor

Definition at line 110 of file ref_app_breathing.c.

## ◆ weighted_psd

float* acc_breathing_handle_t::weighted_psd

Definition at line 146 of file ref_app_breathing.c.

## ◆ windowed_breathing_motion_buffer

float* acc_breathing_handle_t::windowed_breathing_motion_buffer

Definition at line 143 of file ref_app_breathing.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/reference_apps/ref_app_breathing.c